### Function

# PangoOT tag_to_script

since: 1.18

#### Declaration [src]

    PangoScript
    pango_ot_tag_to_script (
      PangoOTTag script_tag
    )

#### Description [src]

Finds the `PangoScript` corresponding to `script_tag`.

The ‘DFLT’ script tag is mapped to `PANGO_SCRIPT_COMMON`.

Note that an OpenType script tag may correspond to multiple `PangoScript` values. In such cases, the `PangoScript` value with the smallest value is returned. In particular, `PANGO_SCRIPT_HIRAGANA` and `PANGO_SCRIPT_KATAKANA` both map to the OT tag ‘kana’. This function will return `PANGO_SCRIPT_HIRAGANA` for ‘kana’.

Available since: 1.18

#### Parameters

`script_tag`

  Type: `PangoOTTag`

  A `PangoOTTag` OpenType script tag.

#### Return value

Type: `PangoScript`

`PangoScript` corresponding to `script_tag` or `PANGO_SCRIPT_UNKNOWN` if none found.